Subject: [sup-talk] sup dislikes gpgme on Ubuntu 12.04

From: Jim Cheetham <[email-masked]>
Date: Tue, 1 May 2012 17:00:14 +1200

The Ubuntu-packaged sup-mail crashes with :-

[Tue May 01 16:51:14 +1200 2012] ERROR: oh crap, an exception
----------------------------------------------------------------
I'm very sorry. It seems that an error occurred in Sup. Please
accept my sincere apologies. Please submit the contents of
/home/cheja23p/.sup/exception-log.txt and a brief report of the
circumstances to http://masanjin.net/sup-bugs/ so that I might
address this problem. Thank you!

Sincerely,
William
----------------------------------------------------------------

--- NoMethodError from thread: poll after loading inbox
undefined method `empty' for GPGME::Data:Class
/usr/lib/ruby/1.8/sup/crypto.rb:181:in `verify'
/usr/lib/ruby/1.8/sup/util.rb:618:in `send'
/usr/lib/ruby/1.8/sup/util.rb:618:in `method_missing'
/usr/lib/ruby/1.8/sup/message.rb:558:in `inline_gpg_to_chunks'
/usr/lib/ruby/1.8/sup/message.rb:520:in `message_to_chunks'
/usr/lib/ruby/1.8/sup/message.rb:259:in `load_from_source!'
/usr/lib/ruby/1.8/sup/message.rb:328:in `build_from_source'
/usr/lib/ruby/1.8/sup/poll.rb:158:in `poll_from'
/usr/lib/ruby/1.8/sup/maildir.rb:106:in `poll'
/usr/lib/ruby/1.8/sup/util.rb:615:in `each_with_index'
/usr/lib/ruby/1.8/sup/maildir.rb:105:in `each'
/usr/lib/ruby/1.8/sup/maildir.rb:105:in `each_with_index'
/usr/lib/ruby/1.8/sup/maildir.rb:105:in `poll'
/usr/lib/ruby/1.8/sup/maildir.rb:90:in `each'
/usr/lib/ruby/1.8/sup/maildir.rb:90:in `poll'
/usr/lib/ruby/1.8/sup/poll.rb:155:in `poll_from'
/usr/lib/ruby/1.8/sup/poll.rb:113:in `do_poll'
/usr/lib/ruby/1.8/sup/poll.rb:103:in `each'
/usr/lib/ruby/1.8/sup/poll.rb:103:in `do_poll'
/usr/lib/ruby/1.8/sup/poll.rb:102:in `synchronize'
/usr/lib/ruby/1.8/sup/poll.rb:102:in `do_poll'
/usr/lib/ruby/1.8/sup/util.rb:618:in `send'
/usr/lib/ruby/1.8/sup/util.rb:618:in `method_missing'
/usr/lib/ruby/1.8/sup/modes/poll-mode.rb:15:in `poll'
/usr/lib/ruby/1.8/sup/poll.rb:49:in `poll_with_sources'
/usr/lib/ruby/1.8/sup/poll.rb:68:in `poll'
/usr/lib/ruby/1.8/sup/util.rb:618:in `send'
/usr/lib/ruby/1.8/sup/util.rb:618:in `method_missing'
/usr/bin/sup-mail:221
/usr/lib/ruby/1.8/sup.rb:77:in `reporting_thread'
/usr/lib/ruby/1.8/sup.rb:75:in `initialize'
/usr/lib/ruby/1.8/sup.rb:75:in `new'
/usr/lib/ruby/1.8/sup.rb:75:in `reporting_thread'
/usr/bin/sup-mail:221
/usr/lib/ruby/1.8/sup/modes/thread-index-mode.rb:684:in `call'
/usr/lib/ruby/1.8/sup/modes/thread-index-mode.rb:684:in
`__unprotected_load_threads'
/usr/lib/ruby/1.8/sup/modes/thread-index-mode.rb:625:in `call'
/usr/lib/ruby/1.8/sup/modes/thread-index-mode.rb:625:in
`load_n_threads_background'
/usr/lib/ruby/1.8/sup.rb:77:in `reporting_thread'
/usr/lib/ruby/1.8/sup.rb:75:in `initialize'
/usr/lib/ruby/1.8/sup.rb:75:in `new'
/usr/lib/ruby/1.8/sup.rb:75:in `reporting_thread'
/usr/lib/ruby/1.8/sup/modes/thread-index-mode.rb:623:in
`load_n_threads_background'
/usr/lib/ruby/1.8/sup/modes/thread-index-mode.rb:694:in
`__unprotected_load_threads'
(eval):12:in `load_threads'
/usr/bin/sup-mail:221

https://bugs.launchpad.net/debian/+source/sup-mail/+bug/890972
suggests that this is very likely because Ubuntu is using ruby-gpgme
version 2.0.0-1 (the replacement for libgpgme-ruby 1.0.8-3), but the
changelog doesn't seem to mention anything about API changes, but does
say it was packaged with the Gem2deb infrastructure.

Has anyone got any suggestions for how I can get my sup working again?

(*cough* besides going to heliotrope/turnsole, which is currently
under investigation)

-jim
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk